Technická specifikace

switchbackup

2.0.0.25

Product version: switchbackup 2.0.0.25
Device platform | Cisco like, 3ComWare, Huawei
Description | This datasheet describes technical requierments of using SWITCHBACKUP software product with Cisco(R), Huawei(R) and 3Com(R) platform devices
Server:
Minimum requierements | OS Windows 2000 SP4, Windows Server 2003 SP1, Windows XP SP 2 Microsfot .NET Framework 2.0 and above, depend MS SQL server version
Platform | x86, x64 (intel 32/64 bit platform)
Database supported | MS SQL 2005, MSSQL 2008, 2008 R2, 2012 (Express and above editions) (SQL Server 9.0.1399 above)
Client:
Minimum requierements | OS Windows XP SP 2, 32/64 bit platform
Other supported | MS Windows Vista, MS Windows 7, MS Windows 8, MS Windows 8.1
Platform | x86, x64 (intel 32/64 bit platform)
Devices:
Cisco Catalyst switche | c29(40-60), c3560, c3750, c45(00-10) and other switches Catalyst family
Cisco routers | c1700, c2800 and similar
* for some older types of routers could be inventory module unusable ( RFC 2737 )
Huawei switche | S3928P-EI and other switches Quidway family
3Com switche | 5500-EI, 5500G-EI and other SuperStack
* 3ComWare and Huawei devices could report inventorz without of serial numbers
TCP connectivity:
server-client | TCP 1433
client-device | TCP 23
client-syslog server* | UDP 514
setup, info, upgrade* | TCP 80
* optional


Command Line Arguments

  • Before first use with command line parameters must be Basic Setting done, a Domain Created and some devices created.

SwitchBackup.Exe [domain-name] [ip-address] [backup [quit]]
All command line options are optionable, separed by space character.
  • [domain-name] - name of the domain containing switches (the domain is group of devices, created in application Switch Backup). It is the Domain, which will be connected when application starts
  • [ip-address] - an IP address. If present even domain-name even IP address, a filtr on the IP address will be set after domain connected. If no domain name present, application Switchbackup finds the youngest domain containing IP address, and set filtr on the IP address when SwitchBackup runs.
  • backup - key word - this option run backup after domain connected
  • quit - key word - in case of combination backup quit options, switchbackup will quit when backup task completed

Examples:

SwitchBackup.exe 192.168.1.1
- run SwitchBackup, connect database, search youngest domain containing device with IP address 192.168.1.1, connect domain, and set filtrer to value 192.168.1.1

SwitchBackup.exe 192.168.1.1 backup
- run SwitchBackup, connect database, search youngest domain containing device with IP address 192.168.1.1, connect domain, and set filtrer to value 192.168.1.1, run TCP backup off all filtered devices and show report of backup task - only when more than one device is selected, other case shows configuration of backuped device (if only one device match selected filter)

SwitchBackup.exe 192.168.1.1 backup quit
- run SwitchBackup, connect database, search youngest domain containing device with IP address 192.168.1.1, connect domain, and set filtrer to value 192.168.1.1, run TCP backup off all filtered devices and quits application SwitchBackup

SwitchBackup.exe 3Com 192.168.1.1 backup quit
- run SwitchBackup, connect database, connect domain 3Com, and set filtrer to value 192.168.1.1, run TCP backup off all filtered devices and quits application SwitchBackup


Database Connection

  • First of Database Connection must be in Basic Setting of database connection setting done.
Application Database is then connected when is a button Connect SQL pressed.


Domain Connection

Select and Connect the Domain

  • First of connecting domain must be the domain created.
After Database Connected, SwitchBackupnaète reads a list of domain from the database, and you can select in the Domains / Networks some of them and with pressing the button Connect Domain is th device list of the domain readed to the application.


Create New Domain

  • First of new domain creating must be database connected.
What means DOMAIN in SwitchBackup:
Domain is only a group of devices (such as switches and routers). You can group the devices on the login accounts, corporates, networks, similar configuration or on any other option. You can create unlimited count of domains, which you can anywhere erase. One device could be in multiple domain. There are many mass configuration tasks, you can do on all devices in the domain, include configuration backup, change and analyse.
You can show domain creating dialog on the button Create New Domain... press, you can set the domain name and description in that dialog. Remember, you can use unique domain name.


Edit Domain Options

  • First of Edit Domain Options... can be done, must be Domain Connected.

When You press Edit Domain Options... button, the dialog domain setting is shown.

  • Title - domain name, which could not be changed
  • Description - here You can edit domain description
  • Command reference - depend on IOS of the switch or router device, You can select 3Com Ware for 3 Com & Huawei devices or Cisco like for Cisco devices
  • Access User Name - user name application will use to connect to device in that domain, if is not overriden in Device setting
  • User Password - password application will use to connect to device in that domain, if is not overriden in Device setting
  • Config mode password - password for privileged use (enable password in cisco), or configuration password, which will be used for all devices of current domain, if is not overriden in Device setting
  • Protect access to this domain with credential - when checked, user name and password must be inserted by technician, before connecting that domain with SwitchBackup. This account is stored only in SwitchBackup database and has no influence on device itself.


Add Device to Domain

  • First of adding device to domain the domain must be connected.

Press Add Device to Domain... to show the dialog window for adding device to domain. You can add a switch or router device to the domain manually - if you plan to add one or a few devices, or import a list of devices from CSV file.

  • Name - must be inserted - the name of the device showed in the list. That name can be different of real host name. Remember, that you can use device name to filter and find devices in list later.
  • IP address - recomended field - management IP address of the device. With no filled IP address could not be done all TCP oriented tasks (domain backup, Telnet, mass configuration tasks asw.). Without filling valid IP address can you comunicate with the device only threw serial communication link.

If you plan add more device to the domain, you can import devices from CSV file, if you have one.


Import Device List

  • First of adding device to the application list, the domain must be connected.

On button Add Device to Domain... pressm the dialog Add device is shown. You can add device manual in that dialog - what is suitable for one or a few device, or import many devices from CSV file.

  • Correct CSV format - you can see current format setting in the first line. You can change the separator character in Advanced setting in SwitchBackup configuration.
  • You can select a file with the browse button - the file can be located in your computer disks or on network share.

When You locate the file, you can add all devices in the file by pressing Add to Domain button. All added devices will be immedietly shown in the device list in the application Switchbackup.


Export devices list

  • The export can be done only from connected domain.

You can export all devices in the domain to the CSV file. Simply click the itemExport devices list in the menu shown on right click on the device list in application Switchbackup.

When you click Export devices list... you can change the filename and directory where the file will be located to. Exported file will be also shown in local editor window, where you can change it and save it again, or send in to the printer.


Edit device

  • First of the device option can be edited, the device must be created in the connected domain.

You can edit device option by right click on the device in the device list and selecting Edit device from the context menu.

On click Edit device... th dialog for device option setting will be displayed.

  • Name - must be filled - the name of the device showed in the list. That name can be different of real host name. Remember, that you can use device name to filter and find devices in list later.
  • IP address - recomended field - management IP address of the device. With no filled IP address could not be done all TCP oriented tasks (domain backup, Telnet, mass configuration tasks asw.). Without filling valid IP address can you comunicate with the device only threw serial communication link.

The checkbox Override domain setting for that Device can be checked to allow the application Switchbackup to use other login account or command reference than is filled inDomain Setting.
  • Command reference - depend on IOS of the switch or router device, You can select 3Com Ware for 3 Com & Huawei devices or Cisco like for Cisco devices
  • Access User Name - user name application will use to connect to device
  • User Password - password application will use to connect to device
  • Config mode password - password for privileged use (enable password in cisco), or configuration password, which will be used for the device

Leave the checkbox and all fields empty to inherit the domain setting even for that device.


Delete Device

  • You can delete selected devices from connected domain.

You can delete one or more device by higlighting them in the list and selecting an item Delete Device... in menu shown on right click on device list in application.

When You clickDelete Device... the confirmation dialog will be shown.

When You delete the device, you delete also all data and backups previously saved in the current domain. When You deleting device belonging to more than the current one domain, all data in the other domains will be preserved - so deleting the device from one Domain has no influence on the other domains.


Delete Domain

  • You can remove only curently connected domain and all devices must be prior deleted from the domain.
Only if curently connected domain is empty, you can by pressing Delete Domain start confirmation dialog to delete domain from database.


Select Device

  • In connected domain device list You can select one or more devices.
You can select one device by left-mouse button click or by using Shift and Ctrl key by the click or by the cursor key more than one device.

Quick filter in the title bar can be used to reduce the list of devices. Quick filter support fultext in all showed columns of the list - so You can fiter by name, IP address or host name readed from IOS configuration after backup.

When You click right mouse button on the list of selected devices, you can:

  • Edit Device to set device option
  • Copy Device to other Domain device setting include by one click
  • Move Device to other Domain to move device setting include to other dommain
  • Telnet Terminal direct connect internal telnet client
  • Delete Device to remove device and all saved configuration and inventory data from current domain
  • Export Device List to export device list to .CSV file or print.


Backup selected Devices

  • With only one click the buttons under device list You can backup selected devices in connected domain.
By pressing Backup selected Device button under device list You can backup all switches and routers configuration, listed in the domain. SwitchBackup start runbackup using Telnet protocol(TCP port 23), so You ought to set device configuration IP address, and login account if different from domain configuration options.

Backup is started in background immediatelly and all configurations are sved to the database and you can list it on the Device Backups tab.


Backup all Devices

  • First of backup all devices in domain can be done, the domain must be connected. By pressing Backup all Devices starts the SwitchBackup application backup task for all devices in current list, either all switches and routers in domain, or all devices matched filter setting.
When Backup all Devices button is pressed, application shows confirmation dialog of mass backup. Mass backup is done threw Telnet protocol (port 23), so the corresponding IP address for all devices for successful backup. If login account for some devices differ from login account set in the domain setting, correct login must be also set in device options .

In confirmation dialog press Start button to start multiple backup tasks .

The backup tasks is done in multiple threads at once, you can set the count of paralel backup threads in Advanced setting of the SwitchBackup application. During mass backup task you can monitor the progress bar and on the finish of all tasks a report is accessible on Domain Backups tab, contained information about successfuly backuped devices.


Console Backup

  • First of Console Backup can be done, the domain must be connected. The button Condole Backup Now... provide backup of just one selected device in device list, so your device must be added to the domain first.
By pressing the button Condole Backup Now... can you backup switche or router device through serial communication configutation cable. Correct device setting, specially IOS type and login account, if different from domain setting.

When you press the Condole Backup Now... button, the confirmation dialog is shown.

If necessary, you can state Port setting - serial port number, transmission speed, flow setting asw:

By pressing Start Backup button, the backup process is started, as you can see on the progress bar.

When backup completed, the tab Device backups is shown.


Console restore now

  • The button Console restore now... is activated if Domain connected and existing configuration backup on tabDevice backups is selected. First of console restore must be some device configuration backup saved to the database.
By console restore, configuration backup is renewed to the new factory default configured device. If you need to recovery stored configuration to used, configured device, reset it to factory default first is needed.

When you press Console restore now..., the confirmation dialog is shown.

If necessary, you can state Port setting - serial port number, transmission speed, flow setting asw:

By pressing Start Restore button, copy process is started to copy stored configuration to the new device, and progress is shown by progress indicator.

While configuration recovery is finished, you can close the dialog window by pressing OK button, and as a recomended next step make a backup of recovered device (for example clicking theConsole Backup Now... button) and compare both configuration backups on the Device Backup Differences tab.

As the last step of configuration recovery do not forget to apply write memory Code Snipp to save running configuration.


Device Backups Tab

The Device Backups Tab contains a list of all backups of selected device made in current domain, irrespective of method, they were done. You can select the backup set by date and time and corresponding configuration will be listed on main editor window:

Currently listed configuration can be easy printed or saved to the text file by pressing right mouse button.

  • The saved configuration can be also easy Restored through console cable to the new switch or router the same hardware configuration.
  • If you need to modify saved configuration, you must to copy the configuration to the virtual device, called Clone Editor. You can do it by selecting Copy to Clone Editor from context menu showed on right mouse click.
  • You can use that menu also to copy a part of configuration file to the clipboard, or to search string in the configuration file.


Clone editor

Clone editor is called virtual device, used to edit saved configuration backups taken by real switches or routers. Modified configuration file can be then easy transfer to new devices, or merged to the exist configuration of other real devices. Clone Editor appears in the list of devices with first using of Copy to Clone Editor selection. Modified configuration of Clone Editor can be also easy saved to the database, or by button Console restore now.. transfer modified configurationto to the real device.

If you select any configuration of Clone Editor, new uttons will be shown:

  • Save to database to save changes made in configuration editor of Clone Editor to the database similary to real loaded backup.
  • Merge through serial.. is used to transfer the configuration to the device connected through serial port. Remember, that use of this button do not provide deleting of the configuration in the device, only contact the existing configuration in the device and the configuration presented in the Clone editor (for example existing VLAN 2 in device and VLAN 3 in Clone editor will have as the result both VLAN 2 and VLAN 3 in the device). If you want to overwrite the exist configuration in the device, you must to reset it to factory default first, and then transfer the Clone editor configuration by pressing Console Restore Now.. button.
  • Merge through IP is used to transfer the configuration to the device connected by Telnet protocol through your LAN network. Similary th button Merge through serial use of this button do not provide deleting of the configuration in the device, only contact the existing configuration in the device and the configuration presented in the Clone editor, so your desired configuration changes will be apliedt to the real configuration without deleting unwanted configuration lines present in real device.

The buttons Merge through Serial and Merge through IP is suitable to use to add configuration fragment to the switch or router device, or changing some present configuration lines, where is the no or UNDO clause not needed (for example changing hostname or IP address).

Currently listed configuration can be printed or saved to file selecting an item from menu shown on right mouse click.

  • Full recovery of any saved backup can be done by button Console Restore Now.. everytime, if you have got an identical hardware (new or factory default reseted).

  • In the menu raised on the right mouse button you can also copy any selection of the configuration file or find a string in the file.


Device Backup Differences

You can use the tab Device Backup Differences to identify
  • changes of configuration of one switch or router device in the time period
  • differences in the configuration files of different switches or routers

Changes of configuration of one switch or router device

  • Select a device in the list on left pane.
  • In the upper list of the middle pane select a fist date, in the lower select the second one.
  • Identified differences will be highlighted and in the bottom pane you can see a summary of detected differences.

Differences in the configuration files of different switches or routers

  • Select the first device in the list on left pane.
  • Fix the device by doubleclick on his name in the lower part of middle pain..
  • Select the second device in the list on left pane.
  • Select desired time of backups of both devices, identified differency will be highlited.
  • You can release the device fixed on the lower panel by next doubleclick on its hostname.


Analyzer Tab

You can use the Analyzer tab to analyze
  • configurations backup, that means off-line analyze of configurations stored in database
  • trace and find network devices, based on on-line searching of MAC address in devices memory tabels

Off-line configuration Analyze

You can select from the list or use your own text line to find in stored configurations. By pressing Start Last Backup Analyze button, application SwitchBackup analyze last configuration sets of all devices in the list and compare with your finding text. SwitchBackup creates a final report covering all finded variants of searched text and list of devices. Drawed graph provide quick preview about th count of configuration variants and about the count of matched devices.

The picture above shows final report of analyzing NTP server setting of all network devices in the domain. We have found two configurrations variant - the first variant containing just one device without NTP setting, and the second variant use the same NTP server setting containing two network devices.

MAC search

You can find any network devices (like PCs, printers or next switches) by selecting MAC search on the Analyzer tab. Simply copy the searched MAC address to the edit box and press Find. SwitchBackup connect to all devices in the device list and asks which interfaces sees the MAC address. In text result window you can see process and curent results, with placing the best match on the top while running. So on the first lines you can see the device, which is closest (finded least other MAC address on the interface, where the MAC address was found).

If the MAC address was found directly atached, there is sucessfully found printed, otherwise if there is more than one IP address found on the interface, you will be warn to be probably next unmanaged switch connected in the network path.


Domain Backups

The tab Domain Backups provide overview about availability of switch and routers configurations backup at the points of domain backup runs (button Backup All Devices was pressed).

The result shows current status, not the log of the past events. It shows, which backups do you currently have in the database, but not all backups which was done (for example if you made succesfull backup and then delete it, or when you add a device to the domain past domain backup runs asw. - it shows the missing/failed backup for that examples).


Code Snippets

The tab Code Snippets provide repository of configurations fragments, which can be easy applied to one or more switces or routers or to all devices matching selected filter. The application SwitchBackup comes with some code snippets prepared in the database. and you can easy create your owns and add it to repository and use it for mass config of network devices.

The snipp code and theirs comments are displayed on click on the snippets name. You can then edit the snippet code first of sent it to the device.

When you press Apply to device, the confirmation dialog will be showed and you can send selected commands to the current device. You can also send it to all the devices in the devices list by pressing Apply to domain matching selected filter. On click button Apply through serial can you configure switch or router connected throgh serial cable.

The code is allways sent as is in editor window, include changes, if you done some.


Create and Edit user Snipp

The tab Code Snippets provide configuration sequences included in the SwitchBackup application (colored background) and also some tools to add your own sequences and use it for configuration switch or router through serial cable or mass configuration by Telnet protocol, and save it to the repository for latest using or providing your colleges.

You can start to create your own command sequence by pressing Create User Snipp button on the Code Snippets Tab.

In raised dialog window must You enter the Name of Your Snippet - will be used to present it in the list - and also User help and description of the use - what is very usefull for shared repository.

In the editor box IOS Command Lines insert your code. Application SwitchBackup starts to apply these commands in privileged mode, so do not forget insert commands for changing the mode to the configuration mode if is needed (command line configure terminal in Cisco IOS).

By pressing Add to Database can You save your Snippet to the database.

Now can You apply Your Snipp to the devices by pressing Applay Snipp button.

If needed, you can change any user snippet by pressing the button Edit User Snipp or by selecting the item from menu raised on the right mouse button, and save new version by pressing Update Snipp.


Inventory

Inventory details are gathered by pressing the button Read Device Inventory for currently selected device, or by pressing Read domain Inventory for all domain devices (matched current filter setting). Whole inventory is saved to the database togrther timestamp of the gathering. So you can easy monitor hardware configuration changes during Live Cycle of switch or router device.

Current inventory list is generated by pressing List Domain Inventory and copy, save or print the list by selecting appropriate item from menu raised by right mouse button.


Basic settings

Main Menu, System - Setting

  • SQL server - name, IP address and name of instance of MS SQL server used for repository (use format server-name\instance-name). Objects and tabels of databse server must be prior created by Application Setup. During the installation process you create also a database user account used to connect, and filled to the SQL user and SQL password fields.
  • You can select a Language from the list. Application changes the user interface language, but the documentation and help file must be downloaded from application provider web.
  • Log Level - level of logging details - 1 basic logging - 3 detail logging. If requiered, logs can be sent to SysLog server. Check FWD to Syslog and fill in SysLog Server address or name. To distinguish SwitchBackup logs from other application logs on SysLog server, you can fill in desired prefix for syslog messages SysLog Prefix.


Advanced settings

Main Menu System - Setting and the tab Advanced settings

  • Max thread count number of parallel backup process (see Backup all Devices in Domain). Suitable count depends on current installation (workstation and database server performance, network throughput asw.), recomended value is 5.
  • Database connection timeout number of seconds to wait for database server operation, default setting is 30
  • Device connection timeout number of seconds to wait to connect to device, if not connected straightway - default value is 4 seconds

    • Too high timeout causes slowing the application, include temporary "freezing" during tasks applayed on the unattached devices. Too low values can cause "missing" tasks made on devices with slowly responses.


Application Setup

Installation utility provide database objects (users, tables and initialization data) and registration process for using SwitchBackup application, thats why the SwitchBackupSetup must be run first.

On the first screen you can choose the language of the installation and click Next button.

Read the licence file and check your agreement to prior continue in setup clicking Next button.

The database server specification is needed now. Fill in th server address, and the name of database instance if used (in the form of server-address-or name\instance-name - please contact database administrator if not sure).

Setup aplication also needs provide the database user account privileged to connect to the database server, create the database and its user and fill the initialization data there. This is the only use of this account, no data are saved and no other application (include SwitchBackup) will not have use that privileged account later.

The second user name and password specify the user, which will be used by SwitchBackup to work with the database. That user will be created by SwitchBackupSetup on the database server and you will need provide that user name and password next to the application SwitchBackup, so note it if you changed (default values are SwitchBackupUser / SwitchBackupPassword).

When you fill all required data click the button create database. When the database created, the button Next, become enable. Press it.

Now start the registration process. Fill in Your licence key, email to register and name and description of the user. Please remember, that enteredlicence key and registerd email will be needed later to get application updates..

When all required data filled, press Registration On-Line button. If successful, button Next will be enabled. Press it to finish the instalation.

All finished procedures runs automaticly and you can only close the installer by presing the button Finish.

In case of some trouble durin the installation, read please the installation log, which you can show by choosing thw Show log option in the left upper corner.

When installation finished, you can copy SwitchBackup application to the workstations with network access to the installed database and start to use it.

On the first run of the application SwitchBackup, set basic settings to connect to SQL server.


Application Update

You can see on What's New page when new application upgrade available. There are also new functionality and requirements announced, there is also provided link to download new versions.

Download web section is restricted, you can use your register account if you have a support contract. If not sure, please contact your application reseller.

When files downloaded, overwrite the files the original version with newest one and run the application SwitchBackup.exe.


Application Uninstall

You can simply delete the application folder to uninstall it from the workstation.

If you plan to deinstall application completly, please remove the database and database user account (default SwitchBackupUser) from the database server by database management tools (for example SQL Management Studio).